Automations

Retrieve automation by id

Retrieve a single automation by its unique id.

get
https://{your-bynder-domain}/api/1/automation/automations/{automationId}

Path Parameters

automationIdstring(uuid)required

Headers

x-api-correlation-idstring

Response

application/json
actionTypestringrequired

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

actionsOnarray[object]
Show Child Parameters
automationIdstringrequired
conditionTypestringrequired

Allowed values:ALLANYANY_OPTION

triggerTypestringrequired

Allowed values:SELECTED

triggersOnarray[object]
Show Child Parameters
get/api/1/automation/automations/{automationId}
 
application/json

Modify automation

Modify an automation. Make sure to use one of the supported bodies listed in the cURL request examples. E.g. ShowOptionAll, DenyDownloads, etc.

put
https://{your-bynder-domain}/api/1/automation/automations/{automationId}

Path Parameters

automationIdstring(uuid)required

Headers

x-api-correlation-idstring

Body

application/json
actionTypestringrequired

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

actionsOnarray[object]
Show Child Parameters
conditionTypestringrequired

Allowed values:ALLANYANY_OPTION

triggerTypestringrequired

Allowed values:SELECTED

triggersOnarray[object]
Show Child Parameters

Response

application/json
messagestringrequired
put/api/1/automation/automations/{automationId}

Body

{ "actionType": "SELECT", "actionsOn": [ { "value": "watermark" } ], "conditionType": "ANY", "triggerType": "SELECTED", "triggersOn": [ { "metapropertyId": "00000000-0000-0000-0000-000000000000", "optionIds": [ "00000000-0000-0000-0000-000000000000" ] } ] }
 
application/json

ActionTypeEnum

string

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

AttributeValueComponent

object
valuestringrequired
Example

Automation

object
actionMetapropertiesstring
actionOptionsstring
actionTypestringrequired

Allowed values:SHOW_OPTIONSHOW_METAPROPERTYPREFILLEMPTYSELECTDESELECT

automationIdstringrequired
conditionTypestringrequired

Allowed values:ALLANYANY_OPTION

triggerTypestringrequired

Allowed values:SELECTED

Example